Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Q3TextView Class Reference

The Q3TextView class provides a rich-text viewer. More...

    #include <Q3TextView>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Inherits Q3TextEdit.

- List of all members, including inherited members

### Writable Properties

- 15 writable properties inherited from Q3TextEdit
- 4 writable properties inherited from Q3ScrollView
- 1 writable property inherited from Q3Frame
- 5 writable properties inherited from QFrame
- 33 writable properties inherited from QWidget
- 1 writable property inherited from QObject

### Read-Only Properties

- modified : bool
- overwriteMode : bool
- readOnly : bool

- undoDepth : int
- undoRedoEnabled : bool

- 4 read-only properties inherited from Q3TextEdit
- 6 read-only properties inherited from Q3ScrollView
- 1 read-only property inherited from Q3Frame
- 1 read-only property inherited from QFrame
- 20 read-only properties inherited from QWidget

### Public Functions

- 29 public functions inherited from Q3TextEdit
- 27 public functions inherited from Q3ScrollView
- 1 public function inherited from Q3Frame
- 2 public functions inherited from QFrame
- 92 public functions inherited from QWidget
- 26 public functions inherited from QObject
- 10 public functions inherited from QPaintDevice

### Public Slots

- 60 public slots inherited from Q3TextEdit
- 8 public slots inherited from Q3ScrollView
- 16 public slots inherited from QWidget
- 1 public slot inherited from QObject

### Signals

- 14 signals inherited from Q3TextEdit
- 5 signals inherited from Q3ScrollView
- 1 signal inherited from QObject

### Static Public Members

- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject

### Protected Functions

- 6 protected functions inherited from Q3TextEdit
- 22 protected functions inherited from Q3ScrollView
- 5 protected functions inherited from Q3Frame
- 42 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The Q3TextView class provides a rich-text viewer.

This class wraps a read-only Q3TextEdit. Use a Q3TextEdit instead, and call setReadOnly(true) to disable editing.

## Property Documentation

### modified : bool

This property holds whether the text view's contents have been modified.

### overwriteMode : bool

This property holds whether new text overwrites or pushes aside existing text.

### readOnly : bool

This property holds whether the text view's contents are read only.

### undoDepth : int

This property holds the number of undoable steps.

### undoRedoEnabled : bool

This property holds whether undo and redo are enabled.